Subject: Re: bug#51821: 29.0.50; Suggest add variable or frame parameter: line-height

From: Po Lu <[email-masked]>
Date: Sun, 21 Nov 2021 18:00:15 +0800

Lars Ingebrigtsen <[email-masked]> writes:

>> ??? That ship has sailed long ago, in Emacs 21.  Float values and
>> integer values have different meanings in these face attributes (and
>> in other similar features, like line-height, the "space :height"
>> display spec, etc.).  Why is this suddenly a problem, and one that
>> requires a new face attribute at that?

> I don't think we have to compound the error by extending this mis-design
> to new areas, but I won't insist.

FWIW I don't find it a mis-design.  Floating point values very obviously
mean something different than an integer value, not only in Emacs, but
in most other real-world software.

Thanks.